CVE-2012-3008 Details

CVE-2012-3008

Published: 2012-07-20
Last Modified: 2017-12-22
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

Stack-based buffer overflow in OSIsoft PI OPC DA Interface before 2.3.20.9 allows remote authenticated users to execute arbitrary code by sending packet data during the processing of messages associated with OPC items.

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 8.5/10
Exploit Score 6.8/10
Access Vector Network
Access Complexity Medium
Authentication Single
Impact Score 10/10
Confidentiality Impact Complete
Availability Impact Complete
Integrity Impact Complete
Vector String AV:N/AC:M/Au:S/C:C/I:C/A:C
Common Vulnerability Score System v3.1

NIST has not assigned a CVSSv3.1 Score.

Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:osisoft:pi_opc_da_interface:2.3.16.16:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:osisoft:pi_opc_da_interface:*:*:*:*:*:*:*:* Yes - -
References

http://osvdb.org/84091
http://secunia.com/advisories/49986
http://www.securityfocus.com/bid/54609
http://www.us-cert.gov/control_systems/pdf/ICSA-12-201-01.pdf
https://exchange.xforce.ibmcloud.com/vulnerabilities/77131

CVE ID
CVE-2012-3008
Published
2012-07-20
Modified
2017-12-22
CVSSv2.0
High
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-119

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.